Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201800 - cups 1.2.2 puts server hostname in all printer queue names
Summary: cups 1.2.2 puts server hostname in all printer queue names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL: http://cups.org/str.php?L1893+P0+S-2+...
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-08 21:54 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.2.2-1.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-21 16:41:02 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2006-08-08 21:54:18 UTC
Description of problem:

In the change from 1.2.1 to 1.2.2, the print queue names for remote queues have
the hostname in them and the short name does not work.

Previously I had:

device for angelou: ipp://wind.cora.nwra.com:631/printers/angelou
device for dali: ipp://wind.cora.nwra.com:631/printers/dali

now I have:

device for angelou@wind: ipp://wind.cora.nwra.com:631/printers/angelou
device for dali@wind: ipp://wind.cora.nwra.com:631/printers/dali

and I can no longer do "lpr -Pdali".

Submitted CUPS STR#1893 on it as well

Comment 1 Tim Waugh 2006-08-09 08:10:19 UTC
(Just including upstream bug URL:)

http://cups.org/str.php?L1893

Comment 2 Tim Waugh 2006-08-09 16:14:14 UTC
FWIW, I see this here too recently.

Comment 3 Orion Poplawski 2006-08-16 14:54:12 UTC
1.2.2-1.6 seems to not exhibit the problem, but I needed to remove
/var/cache/cups/remote.cache to clear out the queues with hostnames.

Comment 4 Tim Waugh 2006-08-16 16:07:23 UTC
There is a 1.2.2-1.7 already in the pipe-line, but I have added a bit in the
spec file for 1.8 to remove remote.cache on upgrade.  Thanks for testing.

Comment 5 Orion Poplawski 2006-08-21 16:41:02 UTC
Fixed in 1.2.2-1.8. Thanks!


Note You need to log in before you can comment on or make changes to this bug.